지금 면적 리습을 써서 수정을 좀 했는데 앞에 되어있는 미터제곱하고 평은 잘 뜨는데 뒤에있는 정원수가 평이랑 겹쳐서 뜨네요 어떻게해야 밑으로 내릴 수 있나요?
검색해봤더니 n붙이면 된다고하셔서 써봤는데 그래도 안되네요ㅠㅠ
그리고 혹시 문자 세개가 따로 된 객체가 아니라 한나로 된 객체로는 나올 수는 없는건가요?
(defun c:ar(/ d_s ent_p ar_1 ar_2 py_1 py_2 t_p n_p)
(graphscr)
(setvar “cmdecho” 0)
(setq d_s (getvar “dimscale”))
(command “units” “” “8” “” “” “” “”)
(setq ent_p (entsel “n PLINE을 선택하세요!! :”))
(command “area” “e” ent_p)
(setq ar_1 (/ (getvar “area” ) 1.0e+06))
(setq ar_2 (rtos ar_1 2 3))
(setq py_1 (* ar_1 0.3025))
(setq py_2 (rtos py_1 2 3))
(setq pe_1 (/ ar_1 2.64))
(setq pe_2 (rtos pe_1 2 3))
(command “units” “” “0” “” “” “” “”)
(prompt “nArea (M2):”)(princ ar_2)
(prompt “nArea (Py):”)(princ py_2)
(prompt “nArea (Pe):”)(princ pe_2)(princ)
(setq t_p (getpoint “nText 삽입 Point:”))
(if (not t_h) (setq t_h 300))
(setq t_h1 (getreal (strcat “nText Height 입력<” (rtos t_h) “>:”)))
(if t_h1 (setq t_h t_h1))
(setq n_p (list (car t_p) (- (cadr t_p) (* t_h 2))))
(command “text” t_p t_h “” (strcat “M2 : ” ar_2))
(command “text” n_p t_h “” (strcat “Py : ” py_2))
(command “text” n_p t_h “” (strcat “정원 : ” pe_2))
(setvar “cmdecho” 1)
(princ)
)